Skip to main content
GET
https://{tenantDomain}/api/v2
/
jobs
/
{id}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Jobs.Get(
        context.TODO(),
        "id",
    )
}
{
  "status": "pending",
  "type": "users_import",
  "id": "job_0000000000000001",
  "created_at": "<string>",
  "connection_id": "con_0000000000000001",
  "location": "<string>",
  "percentage_done": 123,
  "time_left_seconds": 123,
  "format": "json",
  "status_details": "<string>",
  "summary": {
    "failed": 0,
    "updated": 0,
    "inserted": 0,
    "total": 0
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the job.

Pattern: ^job_[A-Za-z0-9]{16}$

Response

Job retrieved successfully.

status
string
default:pending
required

Status of this job.

type
string
default:users_import
required

Type of job this is.

id
string
default:job_0000000000000001
required

ID of this job.

created_at
string

When this job was created.

connection_id
string
default:con_0000000000000001

connection_id of the connection this job uses.

location
string

URL to download the result of this job.

percentage_done
integer

Completion percentage of this job.

time_left_seconds
integer

Estimated time remaining before job completes.

format
enum<string>

Format of the file. Must be json or csv.

Available options:
json,
csv
status_details
string

Status details.

summary
object

Job execution summary.